svn commit: branches/uClibc_0_9_30/extra/scripts

aldot at uclibc.org aldot at uclibc.org
Mon Mar 2 19:50:05 UTC 2009


Author: aldot
Date: 2009-03-02 19:50:04 +0000 (Mon, 02 Mar 2009)
New Revision: 25490

Log:
- Install other linux kernel header subdirectories too (r25374 from trunk)


Modified:
   branches/uClibc_0_9_30/extra/scripts/install_kernel_headers.sh


Changeset:
Modified: branches/uClibc_0_9_30/extra/scripts/install_kernel_headers.sh
===================================================================
--- branches/uClibc_0_9_30/extra/scripts/install_kernel_headers.sh	2009-03-02 19:05:33 UTC (rev 25489)
+++ branches/uClibc_0_9_30/extra/scripts/install_kernel_headers.sh	2009-03-02 19:50:04 UTC (rev 25490)
@@ -6,6 +6,7 @@
 
 die_if_not_dir()
 {
+	local dir
 	for dir in "$@"; do
 		test -d "$dir" && continue
 		echo "Error: '$dir' is not a directory"
@@ -29,7 +30,6 @@
 eval `grep ^KERNEL_HEADERS "$top_builddir/.config"`
 if ! test "$KERNEL_HEADERS" \
 || ! test -d "$KERNEL_HEADERS/asm" \
-|| ! test -d "$KERNEL_HEADERS/asm-generic" \
 || ! test -d "$KERNEL_HEADERS/linux" \
 ; then
 	echo "Error: '$KERNEL_HEADERS' is not a directory containing kernel headers."
@@ -60,6 +60,15 @@
 		die_if_not_dir "$2/asm-generic"
 		cp -RHL "$KERNEL_HEADERS/asm-generic"/* "$2/asm-generic" || exit 1
 	fi
+	# For paranoid reasons, we use explicit list of directories
+	# which may be here. List last updated for linux-2.6.27:
+	for dir in drm mtd rdma sound video; do
+		if test -d "$KERNEL_HEADERS/$dir"; then
+			mkdir -p "$2/$dir" 2>/dev/null
+			die_if_not_dir "$2/$dir"
+			cp -RHL "$KERNEL_HEADERS/$dir"/* "$2/$dir" || exit 1
+		fi
+	done
 	if ! test -f "$2/linux/version.h"; then
 		echo "Warning: '$KERNEL_HEADERS/linux/version.h' is not found"
 		echo "in kernel headers directory specified in .config."



More information about the uClibc-cvs mailing list